Subject: RE: [External] : Re: bug#68030: 29.1; (elisp) `pcase Macro' Reformulation with `pcase' example

From: Drew Adams <[email-masked]>
Date: Tue, 26 Dec 2023 17:48:06 +0000

> > We shouldn't try to introduce (and perhaps
> > even motivate) the use of `pcase' for such
> > a "simple matching task".  The `pcase'
> > version is many times more complex than the
> > simple `if' version with a single-sexp THEN
> > and a single-sexp ELSE.
> 
> The purpose is to start with a small example to teach the
> reader about pcase.  I see nothing that needs changing here.

It doesn't teach the reader about `pcase'.
It shows nothing about what `pcase' really
offers.

`pcase' is not at all about doing, in a
more complicated way, what you can do
simpler with `if'.  It's about doing other
things more simply than you can with `if'.

> > Even if the aim is to present `or', `and',
> > `pred' and `app', a better example should
> > be used - something where it really _helps_
> > to use those subpatterns.  In the example
> > chosen they just add noise.
> 
> Without any concrete suggestions, I don't see
> anything actionable here.

Put on your Thinking Cap.  You shouldn't
need any "concrete suggestions".  I'm sure
you can come up with a solution if you can
understand the problem.

> I'm therefore closing this bug report.
> 
> > [Not part of this bug report, but you might
> >  also want to move the whole `Caveats for
> >  SYMBOL in Sequencing Patterns' to a separate
> >  node (with `pcase' somewhere in the node name).]
> 
> I don't see any benefit in doing that.

It's a giant footnote - meta-information.